import React from 'react';
import { useAuthSession } from '@/business/auth/hooks';
import { AuthContext } from '@/contexts/auth-context';

export const AuthProvider: React.FC<{ children: React.ReactNode }> = ({ children }) => {
  const authSession = useAuthSession();

  return (
    <AuthContext.Provider value={authSession}>
      {children}
    </AuthContext.Provider>
  );
};
